%define upstream_name    MouseX-Types-Path-Class
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    A Path::Class type library for Mouse
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MouseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Mouse) >= 0.390.0
BuildRequires: perl(MouseX::Types) >= 0.20.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::UseAllModules)
BuildArch:  noarch

%description
MouseX::Types::Path::Class creates common the Mouse manpage types,
coercions and option specifications useful for dealing with the Path::Class
manpage objects as the Mouse manpage attributes.

Coercions (see the Mouse::Util::TypeConstraints manpage) are made from both
'Str' and 'ArrayRef' to both the Path::Class::Dir manpage and the
Path::Class::File manpage objects. If you have the MouseX::Getopt manpage
installed, the Getopt option type ("=s") will be added for both the
Path::Class::Dir manpage and the Path::Class::File manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-12.mga8
+ Revision: 1505496
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-11.mga7
+ Revision: 1285104
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.70.0-10.mga7
+ Revision: 1165787
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.70.0-9.mga7
+ Revision: 1159243
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-8.mga6
+ Revision: 1030761
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.70.0-7.mga6
+ Revision: 949274
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.70.0-6.mga5
+ Revision: 789444
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 749995
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 685605
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 513323
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 370389
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 255177
- update to 0.07

* Thu Jun 30 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 116739
- imported package perl-MouseX-Types-Path-Class


* Thu Jun 30 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
